$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.2.1/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.2.1/cloudflared-windows-amd64.exe'

  checksum      = 'e748fa070908d37f3812b5c5968289369213c6afed72531452e33c4f1e95cbde'
  checksumType  = 'sha256'
  checksum64    = '4569c869047a092032f6eac7cf0547591a03a0d750a6b104a606807ea282d608'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
